Skip to main content
PUT
/
general-leads
/
{generalLeadId}
Update a general lead
curl --request PUT \
  --url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 123,
  "customerName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateModified": "2023-11-07T05:31:56Z",
  "jobDescription": "<string>",
  "jobAmount": 123,
  "paidAmount": 123,
  "detailedProjectDescription": "<string>",
  "generalLeadStatus": "<string>",
  "specificLeadStatus": "<string>",
  "leadSourceType": "<string>",
  "assignedVendorId": 123,
  "assignedVendorName": "<string>",
  "referrerVendorId": 123,
  "referrerVendorName": "<string>",
  "postalCode": "<string>",
  "city": "<string>",
  "serviceBoundary": {
    "id": 123,
    "name": "<string>",
    "urlPath": "<string>",
    "cityName": "<string>"
  },
  "contactTime": "<string>",
  "contactMethod": "<string>",
  "leadTimeframe": "<string>",
  "quoteTimeframe": "<string>",
  "projectStage": "<string>",
  "renofindLeadType": "<string>",
  "jobBudget": 123,
  "paymentStatus": "<string>",
  "phoneLead": true,
  "externalNotes": "<string>",
  "essentialInternalNotes": "<string>",
  "requiresAction": true,
  "requireActionReason": "<string>",
  "endCustomer": {
    "id": 123,
    "name": "<string>",
    "email": "<string>",
    "phone": "<string>"
  }
}
'
{
  "success": true,
  "data": {
    "id": 123,
    "customerName": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateModified": "2023-11-07T05:31:56Z",
    "jobDescription": "<string>",
    "jobAmount": 123,
    "paidAmount": 123,
    "detailedProjectDescription": "<string>",
    "generalLeadStatus": "<string>",
    "specificLeadStatus": "<string>",
    "leadSourceType": "<string>",
    "assignedVendorId": 123,
    "assignedVendorName": "<string>",
    "referrerVendorId": 123,
    "referrerVendorName": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "serviceBoundary": {
      "id": 123,
      "name": "<string>",
      "urlPath": "<string>",
      "cityName": "<string>"
    },
    "contactTime": "<string>",
    "contactMethod": "<string>",
    "leadTimeframe": "<string>",
    "quoteTimeframe": "<string>",
    "projectStage": "<string>",
    "renofindLeadType": "<string>",
    "jobBudget": 123,
    "paymentStatus": "<string>",
    "phoneLead": true,
    "externalNotes": "<string>",
    "essentialInternalNotes": "<string>",
    "requiresAction": true,
    "requireActionReason": "<string>",
    "endCustomer": {
      "id": 123,
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>"
    }
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

generalLeadId
integer<int64>
required

Body

application/json

Full general lead representation with all details including customer info, job details, vendor relations, location, financial info, and communications.

id
integer<int64>
customerName
string
email
string
phone
string
dateCreated
string<date-time>
dateModified
string<date-time>
jobDescription
string
jobAmount
number<double>
paidAmount
number<double>
detailedProjectDescription
string
generalLeadStatus
string
specificLeadStatus
string
leadSourceType
string
assignedVendorId
integer<int64>
assignedVendorName
string
referrerVendorId
integer<int64>
referrerVendorName
string
postalCode
string
city
string
serviceBoundary
object
contactTime
string
contactMethod
string
leadTimeframe
string
quoteTimeframe
string
projectStage
string
renofindLeadType
string
jobBudget
number<double>
paymentStatus
string
phoneLead
boolean
externalNotes
string
essentialInternalNotes
string
requiresAction
boolean
requireActionReason
string
endCustomer
object

Response

200 - application/json

Lead updated

success
boolean
data
object

Full general lead representation with all details including customer info, job details, vendor relations, location, financial info, and communications.

message
string